package pltag.german.analysis;

import java.util.ArrayList;
import java.util.HashSet;

public class ElementaryTree {
	private String tree;
	private ArrayList<String> anchorsTok;
	private HashSet<String> anchorsTyp;
	
	public ElementaryTree(String s) {
		tree = s;
		anchorsTok = new ArrayList<String>();
		anchorsTyp = new HashSet<String>();
	}
	
	public ElementaryTree(String s, ArrayList<String> a) {
		tree = s;
		anchorsTok = a;
		anchorsTyp = new HashSet<String>(anchorsTok);
	}
	
	public void addAnchor(String a) {
		anchorsTok.add(a);
		anchorsTyp.add(a);
	}
	
	public ArrayList<String> getAnchorTokens() {
		return anchorsTok;
	}
	
	public HashSet<String> getAnchorTypes() {
		return anchorsTyp;
	}
	
	public String getElementaryTree() {
		return tree;
	}
}
